upgrading from 3.0.1

Temporary forum to obtain support while phpBB.com is offline.
Please use the support forum on phpBB.com
Forum rules
Temporary forum to obtain support while phpBB.com is offline.
Please use the support forum on phpBB.com
Locked
chelseaphil
Registered User
Posts: 13
Joined: Tue Mar 13, 2007 2:00 pm

upgrading from 3.0.1

Post by chelseaphil »

I upgraded as per instructions from 3.0.1 to .2 was going to do the next stage but tested the board first. ALl OK EXCEPT when logged in as a member or administrator I get the message below

Does not fail when reading the forum as a guest. Help please!!

General Error
SQL ERROR [ mysql4 ]

You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'AND user_id = 7' at line 4 [1064]

SQL

SELECT notify_status FROM phpbb_topics_watch WHERE topic_id = AND user_id = 7

BACKTRACE

FILE: includes/db/mysql.php
LINE: 158
CALL: dbal->sql_error()

FILE: includes/functions_display.php
LINE: 1003
CALL: dbal_mysql->sql_query()

FILE: viewtopic.php
LINE: 456
CALL: watch_topic_forum()
User avatar
Noxwizard
Support Team Leader
Support Team Leader
Posts: 136
Joined: Sun Dec 18, 2005 5:44 pm
Location: Texas
Contact:

Re: upgrading from 3.0.1

Post by Noxwizard »

Upload a fresh copy of includes/functions_display.php.
chelseaphil
Registered User
Posts: 13
Joined: Tue Mar 13, 2007 2:00 pm

Re: upgrading from 3.0.1

Post by chelseaphil »

Thanks for that. I ended up upgrading through to 3.0.4 one at a time. And that cleared that problem but brought about others.

Lost most of the posts on the forum.

Getting following error messages

Fatal error: Not able to open ./../cache/data_global.php in /home/arbo/public_html/forum/includes/acm/acm_file.php on line 112

When trying to close the board whilst maintenance is going on.
User avatar
ric323
Registered User
Posts: 102
Joined: Sat Sep 29, 2007 1:09 pm
Location: Melbourne, Australia

Re: upgrading from 3.0.1

Post by ric323 »

Did you have any MODs (modifications) installed?
If not, then you can do a clean update to 3.0.4, replacing all your files as described here: docs/INSTALL.html#update_full

Also, even if you did have MODs, you can do the clean update, and then re-install the MODs.
Locked